org.apache.flume.channel.kafka

## Class KafkaChannel

- java.lang.Object
- - org.apache.flume.channel.AbstractChannel
  - - org.apache.flume.channel.BasicChannelSemantics
    - - org.apache.flume.channel.kafka.KafkaChannel

- All Implemented Interfaces:
    Channel, Configurable, LifecycleAware, NamedComponent

      public class KafkaChannel
      extends BasicChannelSemantics

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaChannel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context ctx)` Request the implementing class to (re)configure itself.
    `protected BasicTransactionSemantics` | `createTransaction()` Called to create new `Transaction` objects, which must extend `BasicTransactionSemantics`.
    `protected Properties` | `getConsumerProps()`
    `protected Properties` | `getProducerProps()`
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.

    - ### Methods inherited from class org.apache.flume.channel.BasicChannelSemantics

      `getTransaction, initialize, put, take`

    - ### Methods inherited from class org.apache.flume.channel.AbstractChannel

      `getLifecycleState, getName, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaChannel

          public KafkaChannel()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`
      Overrides:
        `start` in class `AbstractChannel`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`
      Overrides:
        `stop` in class `AbstractChannel`

    - #### createTransaction

          protected BasicTransactionSemantics createTransaction()

      Description copied from class: `BasicChannelSemantics`

      Called to create new `Transaction` objects, which must extend `BasicTransactionSemantics`. Each object is used for only one transaction, but is stored in a thread-local and retrieved by `getTransaction` for the duration of that transaction.

      Specified by:
        `createTransaction` in class `BasicChannelSemantics`

    - #### configure

          public void configure(Context ctx)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`
      Overrides:
        `configure` in class `AbstractChannel`

    - #### getProducerProps

          protected Properties getProducerProps()

    - #### getConsumerProps

          protected Properties getConsumerProps()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.